Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## gudusoft.gsqlparser.nodes
Class TParseTreeNodeList

    java.lang.Object
      gudusoft.gsqlparser.nodes.TParseTreeNode
          gudusoft.gsqlparser.nodes.TParseTreeNodeList

All Implemented Interfaces:
  Visitable

Direct Known Subclasses:
  TAlterTableOptionList, TBindArgumentList, TColumnDefinitionList, TColumnReferenceList, TComputeClauseItemList, TComputeExprList, TConstantList, TConstraintList, TCTEList, TDatatypeAttributeList, TDeclareVariableList, TDmlSelectItemList, TDropIndexItemList, TDummyList, TElseIfSqlNodeList, TExceptionHandlerList, TExecParameterList, TExpressionList, TFromTableList, TGroupByItemList, TGroupingExpressionItemList, TGroupingSetItemList, TJoinItemList, TJoinList, TLockingClauseList, TMssqlCreateTriggerUpdateColumnList, TMultiTargetList, TNewVariantTypeArgumentList, TObjectNameList, TObjectReferenceList, TOrderByItemList, TOutputFormatPhraseList, TParameterDeclarationList, TRelationExprList, TResultColumnList, TStatementListSqlNode, TTableElementList, TTableList, TTableReferenceList, TTeradataWithClauseItemList, TTypeAttributeList, TTypeNameList, TValueRowItemList, TViewAliasItemList, TWhenClauseItemList

    public class TParseTreeNodeList

extends TParseTreeNode

List of parse tree node.

Constructor Summary
`TParseTreeNodeList()`

Method Summary
`void` | `addElement(TParseTreeNode ptn)`
`void` | `addNode(java.lang.Object arg1)`
`void` | `doParse(TCustomSqlStatement psql, ESqlClause plocation)` analyze this node
`TParseTreeNode` | `elementAt(int index)`
`TParseTreeNode` | `getElement(int index)`
`TSourceToken` | `getEndToken()`
`TSourceToken` | `getStartToken()`
`void` | `init(java.lang.Object arg1)` Initialize a query tree node.
`void` | `removeElement(TParseTreeNode ptn)`
`void` | `removeElementAt(int index)`
`int` | `size()`
`void` | `TParseTreeNodeList()`

Methods inherited from class gudusoft.gsqlparser.nodes.TParseTreeNode
`accept, addAllMyTokensToTokenList, getColumnNo, getDummyTag, getGsqlparser, getLineNo, getNodeType, init, init, init, init, init, setDummyTag, setEndToken, setEndToken, setGsqlparser, setNodeType, setStartToken, setStartToken, setString, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### TParseTreeNodeList

    public TParseTreeNodeList()

Method Detail

### TParseTreeNodeList

    public void TParseTreeNodeList()

### size

    public final int size()

### elementAt

    public TParseTreeNode elementAt(int index)

### addElement

    public final void addElement(TParseTreeNode ptn)

### removeElementAt

    public final void removeElementAt(int index)

### removeElement

    public final void removeElement(TParseTreeNode ptn)

### init

    public void init(java.lang.Object arg1)

  Description copied from class: `TParseTreeNode`
  Initialize a query tree node.

  Overrides:
    `init` in class `TParseTreeNode`

### addNode

    public void addNode(java.lang.Object arg1)

### getElement

    public TParseTreeNode getElement(int index)

### doParse

    public void doParse(TCustomSqlStatement psql,
                        ESqlClause plocation)

  analyze this node

  Overrides:
    `doParse` in class `TParseTreeNode`

### getStartToken

    public TSourceToken getStartToken()

  Overrides:
    `getStartToken` in class `TParseTreeNode`

### getEndToken

    public TSourceToken getEndToken()

  Overrides:
    `getEndToken` in class `TParseTreeNode`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD